using System.Linq;
using System.Web.Mvc;
using ShowAllPagerOption.Models;
using Telerik.Web.Mvc;

namespace ShowAllPagerOption.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            ViewBag.Message = "Welcome to ASP.NET MVC!";

            return View();
        }


        [GridAction]
        public ActionResult Select()
        {
            return View(new GridModel(Enumerable.Range(1, 100).Select(index =>
						new Product
						{
							ID = index,
							Name = "Product " + index
						})));
        }
    }
}
